/* documentpreferencespageview.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public interface I4uc.Core.DocumentPreferencesPageView : GLib.Object, Page
{
	public abstract string font_name { set; get; }
	public abstract int tab_width { set; get; }
	public abstract bool auto_indent { set; get; }
	public abstract bool highlight_current_line { set; get; }
	public abstract bool insert_spaces_instead_of_tabs { set; get; }
	public abstract bool show_line_numbers { set; get; }
	public abstract bool highlight_matching_brackets { set; get; }
	public abstract bool wrap_mode { set; get; }
}
