/* page.vala
 *
 * Copyright (C) 2010  Matias De la Puente
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Matias De la Puente <mfpuente.ar@gmail.com>
 */

public enum I4uc.Core.TabImage
{
	BUILDER,
	ERROR,
	FILE,
	NEW,
	NONE,
	PROGRAMMER,
	WARNING
}

public interface I4uc.Core.Page : GLib.Object
{
	public abstract string title { set; get; }
	public abstract string tab_title { set; get; }
	public abstract TabImage tab_image { set; get; }
	public abstract string tab_tooltip { set; get; }
	public abstract bool tab_mark { set; get; }
	
	public signal void close_clicked ();
}
